# -----------------------------------------------------------------
# UltiToolModule 0.1
# For importing purposes
# By Ulti
# http://thekks.net
# Feel free to modify it too your likings. Do not remove this msg.
# Released under Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported
# More info about the license, please see http://creativecommons.org/licenses/by-nc-sa/3.0/
# +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
# Requirements:
# EventScripts 2.0 or higher
# =================================================================
# Changelog:
# ---0.1---
# Initial Public Release

##################################################################

import es
import playerlib

def announce(method,userid):
    name = playerlib.getPlayer(userid).name
    es.msg("#multi","#green[UltiTool] #defaultThe admin %s %s!" % (method,name))

def burn(userid, varAnnounce=1):
    if es.exists("userid",userid) == 0:
        es.server.queuecmd("echo [UltiTool] %s is not a valid userid!" % userid)
    else:
        player = playerlib.getPlayer(userid)
        player.burn()
        if varAnnounce == 1:
            announce("burned",userid)

def extinguish(userid, varAnnounce=1):
    if es.exists("userid",userid) == 0:
        es.server.queuecmd("echo [UltiTool] %s is not a valid userid!" % userid)
    else:
        player = playerlib.getPlayer(userid)
        player.extinguish()
        if varAnnounce == 1:
            announce("extinguished",userid)

def freeze(userid, varAnnounce=1):
    if es.exists("userid",userid) == 0:
        es.server.queuecmd("echo [UltiTool] %s is not a valid userid!" % userid)
    else:
        player = playerlib.getPlayer(userid)
        player.freeze(1)
        if varAnnounce == 1:
            announce("freezed",userid)

def unfreeze(userid, varAnnounce=1):
    if es.exists("userid",userid) == 0:
        es.server.queuecmd("echo [UltiTool] %s is not a valid userid!" % userid)
    else:
        player = playerlib.getPlayer(userid)
        player.freeze(0)
        if varAnnounce == 1:
            announce("unfreezed",userid)

def slay(userid, varAnnounce=1):
    if es.exists("userid",userid) == 0:
        es.server.queuecmd("echo [UltiTool] %s is not a valid userid!" % userid)
    else:
        es.sexec(userid, "kill")
        if varAnnounce == 1:
            announce("slayed",userid)

def blind(userid, alpha, duration, varAnnounce=1):
    if es.exists("userid",userid) == 0:
        es.server.queuecmd("echo [UltiTool] %s is not a valid userid!" % userid)
    else:
        player = playerlib.getPlayer(userid)
        player.flash(alpha,duration)
        if varAnnounce == 1:
            announce("blinded",userid)

def noclip(userid, varAnnounce=1):
    if es.exists("userid",userid) == 0:
        es.server.queuecmd("echo [UltiTool] %s is not a valid userid!" % userid)
    else:
        player = playerlib.getPlayer(userid)
        player.noclip = 1
        if varAnnounce == 1:
            announce("nocliped",userid)

def unnoclip(userid, varAnnounce=1):
    if es.exists("userid",userid) == 0:
        es.server.queuecmd("echo [UltiTool] %s is not a valid userid!" % userid)
    else:
        player = playerlib.getPlayer(userid)
        player.noclip = 0
        if varAnnounce == 1:
            announce("unnocliped",userid)

def slap(userid, dmg, varAnnounce=1):
    if es.exists("userid",userid) == 0:
        es.server.queuecmd("echo [UltiTool] %s is not a valid userid!" % userid)
    else:
        player = playerlib.getPlayer(userid)
        player.health -= int(dmg)
        if varAnnounce == 1:
            announce("slapped",userid)

