# -----------------------------------------------------------------
# UltiTool 0.1
# By Ulti
# http://thekks.net
# Feel free to modify it too your likings. Do not remove this msg.
# Released under Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported
# More info about the license, please see http://creativecommons.org/licenses/by-nc-sa/3.0/
# +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
# Requirements:
# EventScripts 2.0 or higher
# =================================================================
# Changelog:
# ---0.1---
# Initial Public Release

##################################################################

import es
import playerlib
import ut

# Config #
announcing = 1
# Config Ends Here #

info = es.AddonInfo()
info.name         = "UltiTool"
info.version      = "0.1 Beta"
info.author       = "Ulti"
info.description  = "Set various player options via Console Command"
info.url          = "http://addons.eventscripts.com/addons/view/ultitool"
info.basename     = "ultitool"


def load():
    if es.exists("command","ut_burn") == 0:
        es.regcmd("ut_burn","ultitool/burn","Burns a player")

    if es.exists("command","ut_extinguish") == 0:
        es.regcmd("ut_extinguish","ultitool/extinguish","Burns a player")

    if es.exists("command","ut_freeze") == 0:
        es.regcmd("ut_freeze", "ultitool/freeze", "Freezes a player")

    if es.exists("command","ut_unfreeze") == 0:
        es.regcmd("ut_unfreeze", "ultitool/unfreeze", "Unfreezes a player")

    if es.exists("command", "ut_slay") == 0:
        es.regcmd("ut_slay", "ultitool/slay", "Slays a player")

    if es.exists("command", "ut_blind") == 0:
        es.regcmd("ut_blind", "ultitool/blind", "Blinds a player for an amt. of time")

    if es.exists("command", "ut_noclip") == 0:
        es.regcmd("ut_noclip", "ultitool/noclip", "Noclip a player without sv_cheats")

    if es.exists("command", "ut_unnoclip") == 0:
        es.regcmd("ut_unnoclip", "ultitool/unnoclip", "Unnoclip a player without sv_cheats")

    if es.exists("command", "ut_slap") == 0:
        es.regcmd("ut_slap", "ultitool/slap", "Slaps a player's health down")
    
    if es.exists("variable", "ut_announce") == 0:
        es.set("ut_announce", announcing)


def burn():
    target = es.getargv(1)
    aVar = int(es.ServerVar("ut_announce"))
    ut.burn(target,aVar)

def extinguish():
    target = es.getargv(1)
    aVar = int(es.ServerVar("ut_announce"))
    ut.extinguish(target,aVar)

def freeze():
    target = es.getargv(1)
    aVar = int(es.ServerVar("ut_announce"))
    ut.freeze(target,aVar)

def unfreeze():
    target = es.getargv(1)
    aVar = int(es.ServerVar("ut_announce"))
    ut.unfreeze(target,aVar)

def slay():
    target = es.getargv(1)
    aVar = int(es.ServerVar("ut_announce"))
    ut.slay(target,aVar)

def blind():
    target = es.getargv(1)
    alpha = es.getargv(2)
    duration = es.getargv(3)
    aVar = int(es.ServerVar("ut_announce"))
    ut.blind(target,alpha,duration,aVar)

def noclip():
    target = es.getargv(1)
    aVar = int(es.ServerVar("ut_announce"))
    ut.noclip(target,aVar)

def unnoclip():
    target = es.getargv(1)
    aVar = int(es.ServerVar("ut_announce"))
    ut.unnoclip(target,aVar)

def slap():
    target = es.getargv(1)
    dmg = es.getargv(2)
    aVar = int(es.ServerVar("ut_announce"))
    ut.slap(target,dmg,aVar)
